---
- name: Change ACL inheritance
  ansible.windows.win_acl_inheritance:
    path: "{{ item['path'] }}"
    reorganize: "{{ item['reorganize'] | default(false) }}"
    state: "{{ item['state'] | default('absent') }}"
  with_items: "{{ win_resource_item | c2platform.core.resources }}"
  when:
    - win_resource_item is defined
    - win_resource_item['when'] | default(True)
  loop_control:
    label: "{{ item['path'] }} → {{ item['state'] | default('absent') }}"
  delegate_to: "{{ item['delegate_to'] | default(omit) }}"
  tags:
    - win_acl_inheritance
